import selenium.webdriver
from selenium.webdriver.common.keys import Keys

def test_login():
    # Initialize WebDriver
    driver = selenium.webdriver.Chrome()

    # Navigate to the target webpage
    driver.get("http://example.com/login")

    # Locate and interact with elements
    username_field = driver.find_element_by_id("username")
    username_field.send_keys("test_user")

    password_field = driver.find_element_by_id("password")
    password_field.send_keys("test_password")

    login_button = driver.find_element_by_id("loginButton")
    login_button.click()

    # Close the driver
    driver.quit()

# Uncomment the following line to run the test
# test_login()
